QGIS Application - Bug report #6782
Edit status wrong in Digitizing toolbar after committing a vector layer from Python
2012-11-29 01:43 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15931
Description

Steps to reproduce:

1. Put a vector layer in editing mode

2. do some modifications

3. save the layer from python with layer.commitChanges()

4. the script will commit the changes and stop the editing

5. the editing pencil will disappear from the layer tree (correct)
6. the digitizing toolbar still shows as editing (incorrect)

After switching to a different layer and then back, the status shows correctly as not in editing.

History

#1 - 2012-12-26 10:47 AM - Larry Shaffer

- Status changed from Open to Feedback

Hi Andreas,

| believe this is fixed with commit commit:369971a

The checked state of the digitizing toolbar's toggle editing button now responds directly to the editingStarted/editingStopped signals from QgsVectorLayer

(if it is the active layer), which are emitted during commitChanges() and rollBack(). Please test, thanks.

#2 - 2014-06-23 11:28 PM - Jiirgen Fischer
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
